Public Member Functions

# wxFileDataObject Class Reference
[Clipboard and Drag & Drop]

`#include <wx/dataobj.h>`

Inheritance diagram for wxFileDataObject:
[legend]

## Detailed Description

wxFileDataObject is a specialization of wxDataObject for file names.

The program works with it just as if it were a list of absolute file names, but internally it uses the same format as Explorer and other compatible programs under Windows or GNOME/KDE filemanager under Unix which makes it possible to receive files from them using this class.

Warning:
  Under all non-Windows platforms this class is currently "input-only", i.e. you can receive the files from another application, but copying (or dragging) file(s) from a wxWidgets application is not currently supported. PS: GTK2 should work as well.

##

Library: wxCore
Category: Clipboard and Drag & Drop

See also:
  wxDataObject, wxDataObjectSimple, wxTextDataObject, wxBitmapDataObject, wxDataObject

## Public Member Functions
| wxFileDataObject ()
| Constructor.
void | AddFile (const wxString &file)
| Adds a file to the file list represented by this data object (Windows only).
const wxArrayString & | GetFilenames () const
| Returns the array of file names.

List of all members.

## Constructor & Destructor Documentation

wxFileDataObject::wxFileDataObject | ( |  | ) |

Constructor.

## Member Function Documentation

void wxFileDataObject::AddFile | ( | const wxString & | file | ) |

Adds a file to the file list represented by this data object (Windows only).

const wxArrayString& wxFileDataObject::GetFilenames | ( |  | ) | const

Returns the array of file names.

|  | [ top ]